# fly.toml app configuration file generated for htmx-test-demo on 2024-02-18T14:55:47+01:00
#
# See https://fly.io/docs/reference/configuration/ for information about how to use this file.
#

app = 'htmx-test-demo'
primary_region = 'lhr'

[build]
  [build.args]
    GO_VERSION = '1.20'

[env]
  PORT = '8080'

[http_service]
  internal_port = 8080
  force_https = true
  auto_stop_machines = true
  auto_start_machines = true
  min_machines_running = 0
  processes = ['app']

[[vm]]
  size = 'shared-cpu-1x'
